import request from '@/utils/request'

// 查询设备数据列表
export function listAiBoxProjectData(query) {
  return request({
    url: '/project/aiBoxProjectData/list',
    method: 'get',
    params: query
  })
}

// 查询设备数据详细
export function getAiBoxProjectData(id) {
  return request({
    url: '/project/aiBoxProjectData/' + id,
    method: 'get'
  })
}

// 新增设备数据
export function addAiBoxProjectData(data) {
  return request({
    url: '/project/aiBoxProjectData',
    method: 'post',
    data: data
  })
}

// 修改设备数据
export function updateAiBoxProjectData(data) {
  return request({
    url: '/project/aiBoxProjectData',
    method: 'put',
    data: data
  })
}

// 删除设备数据
export function delAiBoxProjectData(id) {
  return request({
    url: '/project/aiBoxProjectData/' + id,
    method: 'delete'
  })
}
